/************************************************************************/
/*                                                                      */
/*                      RC5 Remote Receiver                             */
/*                                                                      */
/*              Author: Peter Dannegger                                 */
/*                      danni@specs.de                                  */
/*                                                                      */
/************************************************************************/
#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdlib.h>


#define uchar unsigned char
#define uint unsigned int

#define	xRC5_IN		PIND
#define	xRC5		PD2			// IR input low active

#define	XTAL		4e6
//#define	XTAL		7.3728e6
//#define XTAL		5e6

#define	BAUD	19200
#define bauddivider (uint)(XTAL / BAUD / 16 - 0.5)


volatile uint	rc5_data;				// store result
